.alert-container {
    position: fixed;
    bottom: 20px;
    left: 50%;
    translate: -50%;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    gap: 10px;
    pointer-events: none;
}

.ui-alert {
    pointer-events: auto;
    min-width: 300px;
    max-width: 450px;
    padding: 16px;
    border-radius: 8px;

    background-color: var(--background-secondary-container-color);
    border: 1px solid var(--border-color);
    color: var(--title-color);
    box-shadow: var(--box-shadow);
    font-family: sans-serif;
    font-weight: 500;

    opacity: 1;
    transform: translateY(0);

    animation: slideIn 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275) backwards;

    transition: opacity 0.4s ease, transform 0.4s ease;
}

.ui-alert.fade-out {
    opacity: 0;
    transform: translateY(20px);
}

@keyframes slideIn {
    from {
        transform: translateY(100px);
        opacity: 0;
    }
}